> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoengage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update settings

> Updates the product name, the website URL, or both. Fields you leave out are not changed. Other settings are ignored. `PUT` works the same as `PATCH`.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/api/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/settings.yaml PATCH /setting
openapi: 3.0.3
info:
  title: NeetoEngage Settings APIs
  version: 1.0.0
servers:
  - description: NeetoEngage APIs
    url: https://{your-subdomain}.neetoengage.com/api/external/v1
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Settings
    description: APIs to read and update the workspace settings.
paths:
  /setting:
    patch:
      tags:
        - Settings
      summary: Update settings
      description: >-
        Updates the product name, the website URL, or both. Fields you leave out
        are not changed. Other settings are ignored. `PUT` works the same as
        `PATCH`.
      operationId: updateSetting
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - setting
              properties:
                setting:
                  type: object
                  properties:
                    product_name:
                      type: string
                      description: New product name. Cannot be blank.
                      example: Spinkart
                    website_url:
                      type: string
                      description: >-
                        New website URL. Must start with `http://`, `https://`
                        or `www.`.
                      example: https://www.spinkart.com
      responses:
        '200':
          description: The updated settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/setting_response'
              example:
                setting:
                  product_name: Spinkart
                  website_url: https://www.spinkart.com
        '401':
          $ref: '#/components/responses/unauthorized'
        '422':
          description: The product name is blank or the website URL is not valid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
              example:
                error: Website url is invalid
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        API key. Refer to [Authentication](/api/authentication) for more
        information.
      required: true
      schema:
        type: string
    accept_header:
      in: header
      name: Accept
      description: Must be `application/json`.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
  schemas:
    setting_response:
      type: object
      properties:
        setting:
          $ref: '#/components/schemas/setting'
    error:
      type: object
      properties:
        error:
          type: string
          description: A human readable error message.
    setting:
      type: object
      properties:
        product_name:
          type: string
          example: Spinkart
        website_url:
          type: string
          nullable: true
          example: https://www.spinkart.com
  responses:
    unauthorized:
      description: The API key is missing, invalid, or expired.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: Could not authenticate, invalid API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.